Subject: RE: DSTM Considered Harmful [Re: (ngtrans) final ngtransagendaforIETF-53 in Minneapolis]

From: "Christian Huitema" <[email-masked]>
Date: Tue, 19 Mar 2002 13:02:54 -0800

Jim,

Before escalating this discussion, it would be very beneficial to have a
clear statement of the problem(s) that DSTM is trying to solve. I have
heard many arguments, including providing an IPv4 API to old
applications, providing access to IPv4 services on the legacy Internet,
and providing IPv4 connectivity between old IPv4 only applications. Each
of these requirements need to be subdivided. For example, we can provide
an IPv4 API to old applications using a dual-stack mechanism, but we
need a bump-in-the-API or a NAT-PT if we want the old applications to
use IPv6 only services. We may try to provide access to legacy
applications using a dual-stack mechanism, but we will most probably
have to use a v4 NAT in practice, which means we may just as well use a
NAT-PT. We can provide direct connectivity between IPv4 applications by
using a dual-stack approach (modulo NAT), but we can probably also use a
combination of BIA and NAT-PT.

By the way, I certainly never claimed to have invented either NAT-PT or
BIA :-)

-- Christian Huitema

> -----Original Message-----
> From: Bound, Jim [mailto:[email-masked]]
> Sent: Tuesday, March 19, 2002 11:55 AM
> To: Octavio Medina; Christian Huitema
> Cc: Tim Chown; NGtrans List
> Subject: RE: DSTM Considered Harmful [Re: (ngtrans) final
> ngtransagendaforIETF-53 in Minneapolis]
> 
> I doubt Christian will respond because then he would have to counter
the
> technical argument with technical depth.
> 
> /jim
> 
> > -----Original Message-----
> > From: Octavio Medina [mailto:[email-masked]]
> > Sent: Tuesday, March 19, 2002 2:11 PM
> > To: Christian Huitema
> > Cc: Tim Chown; NGtrans List
> > Subject: Re: DSTM Considered Harmful [Re: (ngtrans) final
> > ngtransagendaforIETF-53 in Minneapolis]
> >
> >
> > Christian Huitema wrote:
> > >
> > > > On a deployment viewpoint, a MS implementation would be
> > very useful,
> > > > given we have good v6 app support in Linux and BSD.   Can
> > any of the
> > > MS
> > > > people comment on their own plans here?
> > >
> > > I am personally not convinced of the urgency of implementing and
> > > deploying DSTM. The stated goal of DSTM is to let users of
> > an IPv6 only
> > > network gain IPv4 connectivity. Think about it: IPv6 only
> > networks. Does
> > > not look like a year 2002 problem to me. I would rather
> > concentrate on
> > > making sure that users in an IPv4 only network can get some IPv6
> > > connectivity.
> >
> > If we can offer a reliable method to assure IPv4 connectivy inside
an
> > IPv6 only domain, people would have the choice between setting up
IPv4
> > private addresses + NAT (and all the associated problems) or IPv6 +
> > DSTM. People are using private addresses + NAT today, in 2002.
> >
> >
> > >
> > > I am also not convinced that DSTM is the right solution to
> > the stated
> > > problem. It goes to great length to assure that the IPv6
> > only nodes can
> > > get a global IPv4 address, but it is very unclear that we will
have
> > > enough available IPv4 addresses to allow that. DSTM
> > attempts to reduce
> > > IPv4 address consumption by "time sharing" the address, but we
have
> > > experience and theory that tells us that time sharing does not
work
> > > well: in short, all nodes tend to need addresses at the same time.
> > >
> >
> > That's what the ports option is all about, to offer that port
sharing
> > possibility (with its limits) and reduce the number of required
> > addresses.
> >
> >
> > > If you remove the "global address" property, then DSTM is in fact
an
> > > inferior solution, compared to NAT-PT (provided we remove
> > the DNS ALG
> > > from NAT-PT.) At least, with NAT-PT, I don't even need an
> > IPv4 stack in
> > > the IPv6 only nodes, and I also don't need any address allocation
> > > protocol between the v6 only node and the server.
> >
> > In NAT-PT you assume you have IPv6-ready applications, capable to
send
> > IPv6 packets. That is not the case for most applications
> > (specially for
> > Microsoft's). For NAT-PT to be useful, we would need a big number of
> > applications becoming IPv6 aware, which is not the case in 2002.
> >
> > -Octavio
> >

---

From: Laurent Toutain <[email-masked]>
Date: Tue, 19 Mar 2002 22:50:57 +0100

19/03/2002 22:02:54, "Christian Huitema" <[email-masked]> a écrit:

>use IPv6 only services. 

How will work, for example, a web browser with an IPv4 address in the URL
if you use BIS/BIA ?

>We may try to provide access to legacy
>applications using a dual-stack mechanism, 

then you need an IPv4 address per host and manage IPv4 routing.

>but we will most probably

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 20 Mar 2002 01:37:23 +0100

> How will work, for example, a web browser with an IPv4 address in the URL

You will have to give more details of your scenario.

   Brian